Subject: Re: SIOCGIWSCAN wireless event behaviour

From: "Jouni Malinen" <[email-masked]>
Date: Thu, 20 Apr 2006 09:39:07 -0700

On Thu, Apr 20, 2006 at 03:15:59PM +0100, Daniel Drake wrote:

> I think the 'extra' SIOCGIWSCAN event may be confusing wpa_supplicant 
> (but have not confirmed that yet).

No, they don't. madwifi-ng is already doing this with background
scanning and as was pointed out, there can be multiple programs asking
for scans, so user space must be prepared for multiple events anyway.

-- 
Jouni Malinen                                            PGP id EFC895FA